<?php
	include("funciones/funciones_backup.php");   
	include("conexion/conexion.php");
	include("Menu/menu_inicio.php");  
	include("Sucursales/sucursales.php"); 
	encabezado2($target); 
	$id=$_GET['id'];
	$tipo=$_GET['tipo'];
	$nombre=$_GET['nombre'];
	$nit=$_GET['nit'];
	$direccion=$_GET['direccion'];
	$tel=$_GET['telefono'];
	$email=$_GET['email'];
	$rep=$_GET['rep'];
	$cod_ciudad=$_GET['cod_ciudad'];
	$pagina='ACTUALIZAR SUCURSAL';
	if($tipo==2 && !isset($Ejecutar)){
	$read="readonly='readonly'";
	$pagina='ELIMINAR SUCURSAL';
	}
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina;?> ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Nombre:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="hidden" name="id" value="<? echo $id?>" class="inputbox" size="25">
<input type="text" name="nombre" value="<? echo $nombre?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
NIT:
</td>
<td width="150" class="miTable_td">
<input type="text" name="nit" value="<? echo $nit?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Direccion:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="dir" value="<? echo $direccion?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Telefono:</td>
<td width="150" class="miTable_td">
<input type="text" name="tel" value="<? echo $tel?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
E-mail:
</td>
<td width="150" class="miTable_td">
<input type="text" name="email" value="<? echo $email?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Ciudad:
</td>
<td width="150" class="miTable_td">
<select name="ciu" class="inputbox">
<?
class ciudades{
	var $userObj;
		function get_ciudades($cod_ciudad){
		$this->userObj=new select_zonas();
		$this->userObj->option_ciudad($cod_ciudad);
	    }
}
$ciudadesObj=new ciudades();
$ciudadesObj->get_ciudades($cod_ciudad);
?>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
CONTACTO:
</td>
<td width="150" class="miTable_td">
<input type="text" name="rep" value="<? echo $rep?>" class="inputbox" size="25">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center"> 
<?
if($tipo==1){
print ('<input type="submit" name="Ejecutar" value="Actualizar" class="inputbox">');
}else{
print ('<input type="submit" name="Ejecutar" value="Eliminar" class="inputbox"> <input type="submit" value="Cancelar" name="Cancelar" onClick="javascript:window.close();" class="inputbox">');
print ('<script>document.backup.Cancelar.focus(); </script>');
}
?>
 </div>
</td>
</tr>
</table>
</form>
</CENTER>
<?
if($tipo==1 && isset($Ejecutar)){

class ejecutaUsuario{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id,$nombre,$direccion,$tel,$email,$nit,$ciudad,$rep){
			 $_SESSION['desc']=$desc;
	  		 $this->consultarObj=new sucursales();
	  		 $this->consultarObj->setId($id);
			 $this->consultarObj->setNombre($nombre);
			 $this->consultarObj->setDireccion($direccion);
			 $this->consultarObj->setTelefono($tel);
			 $this->consultarObj->setEmail($email);
			 $this->consultarObj->setNit($nit);
			 $this->consultarObj->setCod_ciudad($ciudad);
			 $this->consultarObj->setRep($rep);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM sucursales WHERE id_sucursal='".$this->consultarObj->getId()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id=$this->consultarObj->getId();
				$nombre=$this->consultarObj->getNombre();
				$nombre=strtoupper($nombre);
				$direccion=$this->consultarObj->getDireccion();
				$tel=$this->consultarObj->getTelefono();
				$email=$this->consultarObj->getEmail();
				$nit=$this->consultarObj->getNit();
				$ciudad=$this->consultarObj->getCod_ciudad();
				$rep=$this->consultarObj->getRep();
				$rep=strtoupper($rep);
				$this->modificarSucursal($id,$nombre,$direccion,$tel,$email,$nit,$ciudad,$rep);
			}else{
				$msgBOX2 = "No Se Encontro Sucursal.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function modificarSucursal($id,$nombre,$direccion,$tel,$email,$nit,$ciudad,$rep){
			$rst_modificar=$this->conexionObj->consultar("UPDATE sucursales SET nit = '".$nit."', nombre = '".$nombre."', direccion = '".$direccion."', telefono = '".$tel."', mail = '".$email."', contacto = '".$rep."', id_ciudad = '".$ciudad."' WHERE id_sucursal = ".$id."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Actualizo Sucursal.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Actualizar Sucursal.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$ejecutaUsuarioObj=new ejecutaUsuario();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$ejecutaUsuarioObj->setConsultar($_POST['id'],$_POST['nombre'],$_POST['dir'],$_POST['tel'],$_POST['email'],$_POST['nit'],$_POST['ciu'],$_POST['rep']);
// LAMANDO EL METODO DE NEGOCIO
$ejecutaUsuarioObj->validar();
}elseif($tipo==2 && isset($Ejecutar)){

class quitarSucursal{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id){
	  		 $this->consultarObj=new sucursales();
	  		 $this->consultarObj->setId($id);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM sucursales WHERE id_sucursal='".$this->consultarObj->getId()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id=$this->consultarObj->getId();
				$this->eliminarSucursales($id);
			}else{
				$msgBOX2 = "No Se Encontro Sucursal.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function eliminarSucursales($id){
			$confirm=borra_suc($id);
			if ($confirm==0){
				////////////////////////ELIMINA TABLAS_SUCURSALES////////////////////
				$rst_modificar=$this->conexionObj->consultar("DELETE FROM tablas_sucursales WHERE id_suc = ".$id."");
				//$rst_modificar2="DELETE FROM tablas_sucursales WHERE id_suc = ".$id."";
				//echo $rst_modificar2;
				$del_suc[]=$id;
				delete_user_menu($del_suc,'usuarios','id_sucursal','1');
				$rst_modificar=$this->conexionObj->consultar("DELETE FROM sucursales WHERE id_sucursal = ".$id."");
				$affected_modificar=mysql_affected_rows();
				if($affected_modificar>=1){
					$msgBOX2 = "Se Elimino Sucursal.";
					echo "<script>
						  opener.document.location.reload();
						  alert('$msgBOX2');
						  window.close();
						  </script>";
				}else{
					$msgBOX2 = "No Se Pudo Eliminar Sucursal.";
					echo "<script>
						  alert('$msgBOX2');
						  window.close();
						  </script>";
				}
		 }else{
		 		$msgBOX2 = "No Se Pudo Eliminar Sucursal ya que esta siendo utilizada por otros procesos.";
					echo "<script>
						  alert('$msgBOX2');
						  window.close();
						  </script>";
		 }

	}
	
}// FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
$quitarSucursalObj=new quitarSucursal();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$quitarSucursalObj->setConsultar($_POST['id']);
// LAMANDO EL METODO DE NEGOCIO
$quitarSucursalObj->validar();
}
	echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
?>
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</body>";
	echo"</html>";
?>